Recent

Author Topic: [Solved] "ld" error on making Lazarus on Haiku x86  (Read 1541 times)

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1360
Re: [Solved] "ld" error on making Lazarus on Haiku x86
« Reply #15 on: July 05, 2020, 11:50:33 am »
Quote
Could not resolv symbol _ZN13QJsonDocument4swapERS_
This function should be available in Qt5.10 and higher.
Please check your Qt5 version.

jma_sp

  • Full Member
  • ***
  • Posts: 138
  • El conocimiento si ocupa lugar.
Re: [Solved] "ld" error on making Lazarus on Haiku x86
« Reply #16 on: July 05, 2020, 01:11:18 pm »
Only decompress all files containing in fpcupdeluxe zip and chmode +x to.executable.
In some releases of fpcupdeluxe for Haiku it give me other errors related to libqtxpas in other not.

For previous releases i installed a Linux and downloaded all necessary for crosscompiling and copy to other directory these libraries.
« Last Edit: July 05, 2020, 01:15:12 pm by jma_sp »
Devuan Beowulf 3.0( JWM/ROX/iDesk) - Puppy Linux, ReactOS 0.4.xx  - FreeDos .

Alextp

  • Hero Member
  • *****
  • Posts: 1153
    • UVviewsoft
Re: [Solved] "ld" error on making Lazarus on Haiku x86
« Reply #17 on: July 05, 2020, 01:21:20 pm »
You must copy .so files to Haiku special folder,
Don has written this info on forum

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1360
Re: [Solved] "ld" error on making Lazarus on Haiku x86
« Reply #18 on: July 05, 2020, 01:26:25 pm »
I have compiled a new version of libQt5Pas.so and a new fpcupdeluxe for Haiku x86.
Please delete all references to libQt5Pas and use the libs included in this new release.
These might work for you as the reference towards ZN13QJsonDocument is gone (I hope).

https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/tag/1.6.8z

https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/download/1.6.8z/fpcupdeluxe-i386-haiku-qt5.zip

 

TinyPortal © 2005-2018